UbixOS V2 2.0

Data Fields
sys_fclose_args Struct Reference

`#include <sysproto_posix.h>`

Collaboration diagram for sys_fclose_args:

## Data Fields
userFileDescriptor * | FILE
char | FILE_l_ [0]
char | FILE_r_ [(sizeof(register_t)<=sizeof(userFileDescriptor *) ? 0 :sizeof(register_t) - sizeof(userFileDescriptor *))]

## Detailed Description

Definition at line 193 of file sysproto_posix.h.

## Field Documentation

## ◆ FILE

userFileDescriptor* sys_fclose_args::FILE

Definition at line 195 of file sysproto_posix.h.

Referenced by sys_fclose().

## ◆ FILE_l_

char sys_fclose_args::FILE_l_[0]

Definition at line 194 of file sysproto_posix.h.

## ◆ FILE_r_

char sys_fclose_args::FILE_r_[(sizeof(register_t)<=sizeof(userFileDescriptor *) ? 0 :sizeof(register_t) - sizeof(userFileDescriptor *))]

Definition at line 196 of file sysproto_posix.h.

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/sys/sysproto_posix.h